Get Perception Claim
curl --request GET \
--url https://api.heralded.ai/v1/brands/{brand_id}/perception/claims/{claim} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.heralded.ai/v1/brands/{brand_id}/perception/claims/{claim}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heralded.ai/v1/brands/{brand_id}/perception/claims/{claim}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heralded.ai/v1/brands/{brand_id}/perception/claims/{claim}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.heralded.ai/v1/brands/{brand_id}/perception/claims/{claim}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.heralded.ai/v1/brands/{brand_id}/perception/claims/{claim}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heralded.ai/v1/brands/{brand_id}/perception/claims/{claim}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"added_at": "2023-11-07T05:31:56Z",
"answers_link": {
"href": "<string>"
},
"brand_paused": false,
"claim": {
"current_version_pending": false,
"definition_version": 123,
"insight": {
"id": "<string>",
"kinds": [
{
"credits": 123,
"play": "<string>",
"title": "<string>"
}
],
"work": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "<string>",
"status": "<string>"
}
},
"key": "<string>",
"kind": "category",
"origins": {
"probe": {
"agrees": 0,
"answers": 0,
"contradicts": 0,
"doesnt_say": 0,
"partly": 0
},
"prompt": {
"agrees": 0,
"answers": 0,
"contradicts": 0,
"doesnt_say": 0,
"partly": 0
}
},
"parts": [
{
"key": "<string>",
"quote": {
"answer_read_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asked_language": "<string>",
"count": 123,
"engine_id": "<string>",
"language": "unknown",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote": "<string>",
"verdict": "agrees"
},
"trend": {
"definition_changed": false,
"delta": 123,
"label": "<string>",
"state": "up"
},
"verdicts": {
"agrees": 0,
"answers": 0,
"contradicts": 0,
"doesnt_say": 0,
"partly": 0
},
"wording": "<string>"
}
],
"quote": {
"answer_read_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asked_language": "<string>",
"count": 123,
"engine_id": "<string>",
"language": "unknown",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote": "<string>",
"verdict": "agrees"
},
"state": {
"action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "new",
"label": "<string>"
},
"trend": {
"definition_changed": false,
"delta": 123,
"label": "<string>",
"state": "up"
},
"verdicts": {
"agrees": 0,
"answers": 0,
"contradicts": 0,
"doesnt_say": 0,
"partly": 0
},
"wording": "<string>"
},
"definition": {
"added_at": "2023-11-07T05:31:56Z",
"added_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"added_by_name": "<string>",
"check": "<string>",
"definition_version": 1,
"earlier_wordings": [
"<string>"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"interpretation_failed": false,
"kind": "company",
"question": "<string>",
"source": {
"piece_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
},
"split_candidates": [
{
"check": "<string>",
"kind": "company",
"question": "<string>",
"statement": "<string>",
"suggestion": "<string>"
}
],
"statement": "<string>",
"suggestion": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 2
},
"engines": [
{
"answers": 123,
"contradicts": 123,
"engine_id": "<string>"
}
],
"filters": {
"audience": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"engine": "perplexity",
"intent": "educational",
"market": "<string>",
"prompt": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"topic": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "organic"
},
"meta": {
"data_as_of": {
"completed_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"last_attempt_failed": false,
"partial": false,
"query": {},
"surfaces": {},
"updating": false
},
"next_fact_check_at": "2023-11-07T05:31:56Z",
"pages": [
{
"citations": 123,
"domain": "<string>",
"insight": {
"id": "<string>",
"kinds": [
{
"credits": 123,
"play": "<string>",
"title": "<string>"
}
],
"work": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "<string>",
"status": "<string>"
}
},
"language": "unknown",
"owned": true,
"passage": "<string>",
"state": {
"action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "new",
"label": "<string>"
},
"title": "<string>",
"type": "<string>",
"url": "<string>",
"wording": "<string>"
}
],
"pages_total": 123,
"period": {
"excluded_reports": 123,
"first_answer_at": "2023-11-07T05:31:56Z",
"last_answer_at": "2023-11-07T05:31:56Z",
"preset": "1w",
"reports": 123
},
"prompts": [
{
"contradicts": 123,
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>"
}
],
"prompts_total": 123,
"quotes": [
{
"answer_read_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asked_language": "<string>",
"count": 123,
"engine_id": "<string>",
"language": "unknown",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote": "<string>",
"verdict": "agrees"
}
]
}{
"code": "invalid_cursor",
"detail": "The cursor is invalid or belongs to a different query.",
"instance": "example-request-id",
"status": 400,
"title": "Bad Request",
"type": "https://docs.heralded.ai/errors-and-limits#invalid_cursor"
}{
"code": "invalid_token",
"detail": "The Authorization header carries no API key Heralded knows: it is missing, mistyped, revoked or expired.",
"instance": "example-request-id",
"status": 401,
"title": "Unauthorized",
"type": "https://docs.heralded.ai/errors-and-limits#invalid_token"
}{
"code": "not_found",
"detail": "Nothing here that this API key can read.",
"instance": "example-request-id",
"status": 404,
"title": "Not Found",
"type": "https://docs.heralded.ai/errors-and-limits#not_found"
}{
"code": "workspace_archived",
"detail": "The API key's organization is archived.",
"instance": "example-request-id",
"status": 409,
"title": "Conflict",
"type": "https://docs.heralded.ai/errors-and-limits#workspace_archived"
}{
"code": "invalid_request",
"detail": "The request's parameters are invalid; `errors` names each one.",
"errors": [
{
"loc": [
"query",
"limit"
],
"msg": "Input should be less than or equal to 100",
"type": "less_than_equal"
}
],
"instance": "example-request-id",
"status": 422,
"title": "Unprocessable Content",
"type": "https://docs.heralded.ai/errors-and-limits#invalid_request"
}{
"code": "rate_limited",
"detail": "This caller is past its requests for the minute. Retry after the seconds in Retry-After.",
"instance": "example-request-id",
"rate_limit": {
"limit": 120,
"remaining": 0,
"reset": 60,
"window": 60
},
"status": 429,
"title": "Too Many Requests",
"type": "https://docs.heralded.ai/errors-and-limits#rate_limited"
}Visibility
Get Perception Claim
One claim’s verdicts, quotes, contradicting prompts, engines and pages.
GET
/
v1
/
brands
/
{brand_id}
/
perception
/
claims
/
{claim}
Get Perception Claim
curl --request GET \
--url https://api.heralded.ai/v1/brands/{brand_id}/perception/claims/{claim} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.heralded.ai/v1/brands/{brand_id}/perception/claims/{claim}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heralded.ai/v1/brands/{brand_id}/perception/claims/{claim}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heralded.ai/v1/brands/{brand_id}/perception/claims/{claim}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.heralded.ai/v1/brands/{brand_id}/perception/claims/{claim}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.heralded.ai/v1/brands/{brand_id}/perception/claims/{claim}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heralded.ai/v1/brands/{brand_id}/perception/claims/{claim}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"added_at": "2023-11-07T05:31:56Z",
"answers_link": {
"href": "<string>"
},
"brand_paused": false,
"claim": {
"current_version_pending": false,
"definition_version": 123,
"insight": {
"id": "<string>",
"kinds": [
{
"credits": 123,
"play": "<string>",
"title": "<string>"
}
],
"work": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "<string>",
"status": "<string>"
}
},
"key": "<string>",
"kind": "category",
"origins": {
"probe": {
"agrees": 0,
"answers": 0,
"contradicts": 0,
"doesnt_say": 0,
"partly": 0
},
"prompt": {
"agrees": 0,
"answers": 0,
"contradicts": 0,
"doesnt_say": 0,
"partly": 0
}
},
"parts": [
{
"key": "<string>",
"quote": {
"answer_read_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asked_language": "<string>",
"count": 123,
"engine_id": "<string>",
"language": "unknown",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote": "<string>",
"verdict": "agrees"
},
"trend": {
"definition_changed": false,
"delta": 123,
"label": "<string>",
"state": "up"
},
"verdicts": {
"agrees": 0,
"answers": 0,
"contradicts": 0,
"doesnt_say": 0,
"partly": 0
},
"wording": "<string>"
}
],
"quote": {
"answer_read_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asked_language": "<string>",
"count": 123,
"engine_id": "<string>",
"language": "unknown",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote": "<string>",
"verdict": "agrees"
},
"state": {
"action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "new",
"label": "<string>"
},
"trend": {
"definition_changed": false,
"delta": 123,
"label": "<string>",
"state": "up"
},
"verdicts": {
"agrees": 0,
"answers": 0,
"contradicts": 0,
"doesnt_say": 0,
"partly": 0
},
"wording": "<string>"
},
"definition": {
"added_at": "2023-11-07T05:31:56Z",
"added_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"added_by_name": "<string>",
"check": "<string>",
"definition_version": 1,
"earlier_wordings": [
"<string>"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"interpretation_failed": false,
"kind": "company",
"question": "<string>",
"source": {
"piece_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
},
"split_candidates": [
{
"check": "<string>",
"kind": "company",
"question": "<string>",
"statement": "<string>",
"suggestion": "<string>"
}
],
"statement": "<string>",
"suggestion": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 2
},
"engines": [
{
"answers": 123,
"contradicts": 123,
"engine_id": "<string>"
}
],
"filters": {
"audience": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"engine": "perplexity",
"intent": "educational",
"market": "<string>",
"prompt": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"topic": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "organic"
},
"meta": {
"data_as_of": {
"completed_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"last_attempt_failed": false,
"partial": false,
"query": {},
"surfaces": {},
"updating": false
},
"next_fact_check_at": "2023-11-07T05:31:56Z",
"pages": [
{
"citations": 123,
"domain": "<string>",
"insight": {
"id": "<string>",
"kinds": [
{
"credits": 123,
"play": "<string>",
"title": "<string>"
}
],
"work": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "<string>",
"status": "<string>"
}
},
"language": "unknown",
"owned": true,
"passage": "<string>",
"state": {
"action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "new",
"label": "<string>"
},
"title": "<string>",
"type": "<string>",
"url": "<string>",
"wording": "<string>"
}
],
"pages_total": 123,
"period": {
"excluded_reports": 123,
"first_answer_at": "2023-11-07T05:31:56Z",
"last_answer_at": "2023-11-07T05:31:56Z",
"preset": "1w",
"reports": 123
},
"prompts": [
{
"contradicts": 123,
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>"
}
],
"prompts_total": 123,
"quotes": [
{
"answer_read_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asked_language": "<string>",
"count": 123,
"engine_id": "<string>",
"language": "unknown",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote": "<string>",
"verdict": "agrees"
}
]
}{
"code": "invalid_cursor",
"detail": "The cursor is invalid or belongs to a different query.",
"instance": "example-request-id",
"status": 400,
"title": "Bad Request",
"type": "https://docs.heralded.ai/errors-and-limits#invalid_cursor"
}{
"code": "invalid_token",
"detail": "The Authorization header carries no API key Heralded knows: it is missing, mistyped, revoked or expired.",
"instance": "example-request-id",
"status": 401,
"title": "Unauthorized",
"type": "https://docs.heralded.ai/errors-and-limits#invalid_token"
}{
"code": "not_found",
"detail": "Nothing here that this API key can read.",
"instance": "example-request-id",
"status": 404,
"title": "Not Found",
"type": "https://docs.heralded.ai/errors-and-limits#not_found"
}{
"code": "workspace_archived",
"detail": "The API key's organization is archived.",
"instance": "example-request-id",
"status": 409,
"title": "Conflict",
"type": "https://docs.heralded.ai/errors-and-limits#workspace_archived"
}{
"code": "invalid_request",
"detail": "The request's parameters are invalid; `errors` names each one.",
"errors": [
{
"loc": [
"query",
"limit"
],
"msg": "Input should be less than or equal to 100",
"type": "less_than_equal"
}
],
"instance": "example-request-id",
"status": 422,
"title": "Unprocessable Content",
"type": "https://docs.heralded.ai/errors-and-limits#invalid_request"
}{
"code": "rate_limited",
"detail": "This caller is past its requests for the minute. Retry after the seconds in Retry-After.",
"instance": "example-request-id",
"rate_limit": {
"limit": 120,
"remaining": 0,
"reset": 60,
"window": 60
},
"status": 429,
"title": "Too Many Requests",
"type": "https://docs.heralded.ai/errors-and-limits#rate_limited"
}Path Parameters
Query Parameters
Response
Successful Response